# -*- coding: utf-8 -*-
#
# File: Entitiy.py
#
# Copyright (c) 2009 by []
# Generator: ArchGenXML Version 2.4.1
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Loc Cosnier <loc@lapatadeoca.com>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope.interface import implements
import interfaces

from Products.CMFDynamicViewFTI.browserdefault import BrowserDefaultMixin

from Products.ATContentTypes.content.document import ATDocument
from Products.ATContentTypes.content.document import ATDocumentSchema
from Products.EntitiesDirectory.config import *

##code-section module-header #fill in your manual code here
from Products.PortalTaxonomy.fields import *
##/code-section module-header

schema = Schema((

    ImageField(
        name='image',
        widget=ImageField._properties['widget'](
            label="Image:",
            label_msgid="entity_image",
            i18n_domain='EntitiesDirectory',
        ),
        storage=AnnotationStorage(),
    ),
    StringField(
        name='website',
        widget=StringField._properties['widget'](
            label="URL of the Website:",
            label_msgid="entity_website",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
        validators=('isURL',),
    ),
    StringField(
        name='email',
        widget=StringField._properties['widget'](
            label="Email:",
            label_msgid="entity_email",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
        required=True,
        validators=('isEmail',),
    ),
    StringField(
        name='phone',
        widget=StringField._properties['widget'](
            label="Phone number:",
            label_msgid="entity_phone",
            size=20,
            i18n_domain='EntitiesDirectory',
        ),
        validators=('isInternationalPhoneNumber',),
    ),
    StringField(
        name='mobile',
        widget=StringField._properties['widget'](
            label="Mobile number",
            label_msgid="entity_mobile",
            size=20,
            i18n_domain='EntitiesDirectory',
        ),
        validators=('isInternationPhoneNumber',),
    ),
    StringField(
        name='fax',
        widget=StringField._properties['widget'](
            label="Fax number:",
            label_msgid="entity_fax",
            size=20,
            i18n_domain='EntitiesDirectory',
        ),
        validators=('isInternationalPhoneNumber',),
    ),
    StringField(
        name='adress',
        widget=StringField._properties['widget'](
            label="Adress:",
            label_msgid="entity_adress",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
    ),
    StringField(
        name='zipcode',
        widget=StringField._properties['widget'](
            label="ZipCode:",
            label_msgid="entity_zipcode",
            size=10,
            i18n_domain='EntitiesDirectory',
        ),
        validators=('isZipCode',),
    ),
    StringField(
        name='city',
        widget=StringField._properties['widget'](
            label="City:",
            label_msgid="entity_city",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
        searchable=True,
    ),
    StringField(
        name='province',
        widget=StringField._properties['widget'](
            label="Province:",
            label_msgid="entity_province",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
        searchable=True,
    ),
    StringField(
        name='country',
        widget=StringField._properties['widget'](
            label="Country:",
            label_msgid="entity_country",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
        searchable=True,
    ),
    StringField(
        name='area',
        widget=StringField._properties['widget'](
            label="Territory Area:",
            label_msgid="entity_area",
            size=40,
            i18n_domain='EntitiesDirectory',
        ),
        searchable=True,
    ),
    CategoryField(
        name='categories',
        field="CategoryField",
        widget=CategoryField._properties['widget'](
            label="Categories:",
            label_msgid="entity_categories",
            i18n_domain='EntitiesDirectory',
        ),
        searchable=True,
    ),
    AttributeField(
        name='assessments',
        field="AttributeField",
        widget=AttributeField._properties['widget'](
            label="Assessments:",
            label_msgid="entity_assessments",
            i18n_domain='EntitiesDirectory',
        ),
        searchable=True,
    ),

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

Entitiy_schema = ATDocumentSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class Entitiy(ATDocument):
    """
    """
    security = ClassSecurityInfo()

    implements(interfaces.IEntitiy)

    meta_type = 'Entitiy'
    _at_rename_after_creation = True

    schema = Entitiy_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

registerType(Entitiy, PROJECTNAME)
# end of class Entitiy

##code-section module-footer #fill in your manual code here
##/code-section module-footer



