# -*- coding: utf-8 -*-
#
# File: setuphandlers.py
#
# Copyright (c) 2009 by []
# Generator: ArchGenXML Version 2.4.1
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Loc Cosnier <loc@lapatadeoca.com>"""
__docformat__ = 'plaintext'


import logging
logger = logging.getLogger('EntitiesDirectory: setuphandlers')
from Products.EntitiesDirectory.config import PROJECTNAME
from Products.EntitiesDirectory.config import DEPENDENCIES
import os
from Products.CMFCore.utils import getToolByName
import transaction
##code-section HEAD
##/code-section HEAD

def isNotEntitiesDirectoryProfile(context):
    return context.readDataFile("EntitiesDirectory_marker.txt") is None



def updateRoleMappings(context):
    """after workflow changed update the roles mapping. this is like pressing
    the button 'Update Security Setting' and portal_workflow"""
    if isNotEntitiesDirectoryProfile(context): return 
    wft = getToolByName(context.getSite(), 'portal_workflow')
    wft.updateRoleMappings()


def postInstall(context):
    """Called as at the end of the setup process. """
    # the right place for your custom code
    if isNotEntitiesDirectoryProfile(context): return 
    site = context.getSite()


##code-section FOOT
##/code-section FOOT
